Create or update a connector with a specified ID
Create or update a connector. The connector_id in the URL path is authoritative and overrides any id in the request body. If a connector with this ID already exists, it will be replaced. When clone_from is provided, secret fields (passwords, certificates) are copied from the source connector.
Path Parameters
Unique Connector ID
Query Parameters
When set, copies secret fields (passwords, certificates) from the specified source connector into the new connector. Used by the clone flow where the frontend never has the original secret values.
Request Body
application/json
Unique identifier for this connector. Server-generated when using POST /connectors; when using POST /connectors/{id} the URL path ID takes precedence over this field.
1 <= lengthSource configuration
Sink configuration
Whether this connector is disabled
falseDisplay name
1 <= lengthResponse Body
curl -X POST "https://loading/api/v1/connectors/string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "source": { "postgres": { "connection": { "host": "example.com", "user": "string", "password": "pa$$word", "database": "string" }, "replication_type": { "logical_replication": {} } } }, "sink": { "postgres": { "connection": { "host": "example.com", "user": "string", "password": "pa$$word", "database": "string" } } } }'